package com.fjhx.enums;

import lombok.Getter;

import java.util.HashMap;

@Getter
public enum BackGoodsStatusEnum {

    IN_APPROVAL(1), // 审批中
    NOT_PASS(2), // 未通过
    PASS(3), // 已通过/待退款
    PART_REFUND(4), // 部分退款
    REFUND(5), // 已退款
    ;

    BackGoodsStatusEnum(Integer value) {
        this.value = value;
    }

    private final Integer value;

    private static final HashMap<Integer, BackGoodsStatusEnum> map = new HashMap<>();

    static {
        for (BackGoodsStatusEnum value : BackGoodsStatusEnum.values()) {
            map.put(value.getValue(), value);
        }
    }

    /**
     * 根据value值获取枚举
     */
    public static BackGoodsStatusEnum get(Integer value) {
        return map.get(value);
    }


}
